aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/min-tool-version.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/min-tool-version.sh')
-rwxr-xr-xscripts/min-tool-version.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/scripts/min-tool-version.sh b/scripts/min-tool-version.sh
new file mode 100755
index 000000000000..9faa4d3d91e3
--- /dev/null
+++ b/scripts/min-tool-version.sh
@@ -0,0 +1,45 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0-only
+#
+# Print the minimum supported version of the given tool.
+# When you raise the minimum version, please update
+# Documentation/process/changes.rst as well.
+
+set -e
+
+if [ $# != 1 ]; then
+ echo "Usage: $0 toolname" >&2
+ exit 1
+fi
+
+case "$1" in
+binutils)
+ echo 2.25.0
+ ;;
+gcc)
+ if [ "$ARCH" = parisc64 ]; then
+ echo 12.0.0
+ else
+ echo 5.1.0
+ fi
+ ;;
+llvm)
+ if [ "$SRCARCH" = s390 ]; then
+ echo 15.0.0
+ elif [ "$SRCARCH" = loongarch ]; then
+ echo 18.0.0
+ else
+ echo 11.0.0
+ fi
+ ;;
+rustc)
+ echo 1.74.1
+ ;;
+bindgen)
+ echo 0.65.1
+ ;;
+*)
+ echo "$1: unknown tool" >&2
+ exit 1
+ ;;
+esac